Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#31919 - [gnome-settings-daemon] ibus should be an optional dependency

Attached to Project: Arch Linux
Opened by Mantas Mikul─Śnas (grawity) - Friday, 12 October 2012, 19:34 GMT
Last edited by Andreas Radke (AndyRTR) - Saturday, 03 November 2012, 09:23 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Jan de Groot (JGC)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Can the 'ibus' dependency become optional?

3.6.1 checks for ibus presence on runtime (as in the commit[1] below), and there are users who do not need (or want) ibus support (in particular, the mangling of XMODIFIERS).

[1]: http://git.gnome.org/browse/gnome-settings-daemon/commit?id=a4503d3a22de528f3a912dd169d7c02374582dfb
This task depends upon

Closed by  Andreas Radke (AndyRTR)
Saturday, 03 November 2012, 09:23 GMT
Reason for closing:  Duplicate
Additional comments about closing:   FS#32071 
Comment by Mantas Mikul─Śnas (grawity) - Monday, 15 October 2012, 21:38 GMT
Hmm, I hadn't noticed that gnome-control-center and the like still have a hard dependency on libibus-1.0.so :(
Comment by Felix Yan (felixonmars) - Friday, 02 November 2012, 15:06 GMT
I think this should be marked as a dup of  FS#32071 , which has a proper way to fix I believe.

Loading...